// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：换表管理
//author：feizhao
//date：2017-11-10
//discription：用于测试登陆后，综合操作中对用户的换表管理操作
//step：1.登录综合业务综合操作主页面  2.输入用户编号，用户姓名，电话等查询用户
//      3. 操作按钮下点击换表管理
//修改人：
//修改日期：
//修改内容：

const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   ' tests': function (browser) {
     browser
    .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
     .waitForElementVisible('body', 100)
     .setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)
     .click('#vc-tree-name-综合业务')
     .pause(1000)
     .click('#vc-tree-name-综合操作')
//用户查新-换表管理
     .pause(1000)
     .setValue('input[placeholder=用户姓名]','黄红丽')
     .pause(500)
     .setValue('input[placeholder=电话]','18192592986')
     .pause(500)
     .click('.form-inline :nth-child(20) button')
     .pause(7000)
     .click('#vc-datagrid-name-0 :nth-child(6) div button')
     .pause('500')
     .click('#vc-datagrid-name-0 :nth-child(6) div ul :nth-child(3)')
     .pause(1000)
     .setValue('input[placeholder=表底数]','300')
     .pause(1000)
     .click('#comprehen-comOpe-chaMet-macMet-确认')
     .pause(500)
     .setValue('.form-horizontal :nth-child(1) :nth-child(1) input','010213')
     .pause(500)
     .setValue('.form-horizontal :nth-child(1) :nth-child(2) input','010123456')
     .pause(1000)
    //  .click('.form-horizontal :nth-child(1) :nth-child(3) button')
    //  .pause(300)
    //  .click('#海力手抄表')
    //  .pause(1000)
    //  .click('.form-horizontal :nth-child(1) :nth-child(4) button')
    //  .pause(1000)
     .click('#common-metMess-安装位置')
     .pause(500)
     .click('#厨房')
     .pause(500)
     .setValue('input[placeholder=表底数]','300')
     .pause(1000)
     .click('#common-metMess-抄表员')
     .pause(500)
     .click('#江华')
     .pause(1000)
     .click('#f_changemeter_type')
     .pause(500)
     .click('#换新表')
     .pause(500)
     .clearValue('input[placeholder=换表金额]')
     .pause(300)
     .setValue('input[placeholder=换表金额]','20')
     .pause(1000)
     .setValue('input[placeholder=换表人]','张大千')
     .pause(1000)
     .setValue('input[placeholder=换表时间]','2017-10-15')
     .pause(1000)
     .click('#f_reason')
     .pause(300)
     .click('#ComprehenOperation-chaMet-chaNewMet-确认')
     .pause(10000)
     .end();
   }
 }
